phing

# Class: BuildLogger Source Location: /BuildLogger.php
### Interface Overview
    BuildListener
       |
       --BuildLogger
Interface for build loggers. #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 552 $ | ### Methods setErrorStream setMessageOutputLevel setOutputStream
### Child classes: StreamRequiredBuildLogger Interface for build loggers that require that out/err streams be set in order to function. | ### Inherited Methods #### Class: BuildListener BuildListener::buildFinished() Fired after the last target has finished. BuildListener::buildStarted() Fired before any targets are started. BuildListener::messageLogged() Fired whenever a message is logged. BuildListener::targetFinished() Fired when a target has finished. BuildListener::targetStarted() Fired when a target is started. BuildListener::taskFinished() Fired when a task has finished. BuildListener::taskStarted() Fired when a task is started.
### Class Details [line 39] Interface for build loggers. Build loggers are build listeners but with some additional functionality: They can be configured with a log level (below which they will ignore messages) They have error and output streams Classes that implement a listener must implement this interface. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 552 $
see: | Project::addBuildListener()
see: | BuildEvent
[ Top ] ### Class Methods ### method setErrorStream [line 68]
`void setErrorStream( $err)`
Sets the output stream to use for errors. #### Tags:
access: | public
#### Parameters:
OutputStream | $err | Configured output stream (e.g. STDERR) for errors.
[ Top ] ### method setMessageOutputLevel [line 56]
`void setMessageOutputLevel( int $level)`
Sets the min log level that this logger should respect. Messages below this level are ignored. Constants for the message levels are in Project.php. The order of the levels, from least to most verbose, is: Project::MSG_ERR Project::MSG_WARN Project::MSG_INFO Project::MSG_VERBOSE Project::MSG_DEBUG #### Tags:
access: | public
#### Parameters:
int | $level | The log level integer (e.g. Project::MSG_VERBOSE, etc.).
[ Top ] ### method setOutputStream [line 62]
`void setOutputStream( $output)`
Sets the standard output stream to use. #### Tags:
access: | public
#### Parameters:
OutputStream | $output | Configured output stream (e.g. STDOUT) for standard output.
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:27 +0200 by phpDocumentor 1.4.3